[MLton-commit] r6036

Vesa Karvonen vesak at mlton.org
Wed Sep 19 06:49:48 PDT 2007


Script for running tests with SML/NJ.
----------------------------------------------------------------------

A   mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh
A   mltonlib/trunk/com/ssh/generic/unstable/test.cm

----------------------------------------------------------------------

Added: mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh	2007-09-19 13:00:00 UTC (rev 6035)
+++ mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh	2007-09-19 13:49:47 UTC (rev 6036)
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Copyright (C) 2007 SSH Communications Security, Helsinki, Finland
+#
+# This code is released under the MLton license, a BSD-style license.
+# See the LICENSE file or http://mlton.org/License for details.
+
+set -e
+set -x
+
+eb=../../extended-basis/unstable
+
+time \
+echo '' | \
+sml -m test.cm \
+    $eb/public/export/{open-top-level.sml,infixes.sml}   \
+    test/utils.sml                                       \
+    $(find test/ -name '*.sml' -a -not -name 'utils.sml')


Property changes on: mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native

Added: mltonlib/trunk/com/ssh/generic/unstable/test.cm
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/test.cm	2007-09-19 13:00:00 UTC (rev 6035)
+++ mltonlib/trunk/com/ssh/generic/unstable/test.cm	2007-09-19 13:49:47 UTC (rev 6036)
@@ -0,0 +1,20 @@
+(* Copyright (C) 2007 SSH Communications Security, Helsinki, Finland
+ *
+ * This code is released under the MLton license, a BSD-style license.
+ * See the LICENSE file or http://mlton.org/License for details.
+ *)
+
+group
+   library(../../extended-basis/unstable/basis.cm)
+   library(../../generic/unstable/lib-with-default.cm)
+   library(../../prettier/unstable/lib.cm)
+   library(../../random/unstable/lib.cm)
+   library(../../unit-test/unstable/lib-with-default.cm)
+   library(lib-with-default.cm)
+is
+   ../../extended-basis/unstable/basis.cm
+   ../../generic/unstable/lib-with-default.cm
+   ../../prettier/unstable/lib.cm
+   ../../random/unstable/lib.cm
+   ../../unit-test/unstable/lib-with-default.cm
+   lib-with-default.cm




More information about the MLton-commit mailing list